/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcjob.h"

KDCJob::KDCJob( QObject *parent )
	: QObject( parent )
{
	p_totalSize = 0;
	p_error = QString();
}

KDCJob::~KDCJob()
{

}

KDialog* KDCJob::dialog() const
{
	return NULL;
}

void KDCJob::setTotalSize( int totalSize )
{
	p_totalSize = totalSize;
}

int KDCJob::totalSize() const
{
	return p_totalSize;
}

int KDCJob::count() const
{
	return 1;
}

bool KDCJob::hasErrors()
{
	return !p_error.isEmpty();
}

void KDCJob::setError( const QString& str )
{
	p_error.append( str + '\t' );
}

QString KDCJob::error() const
{
	return p_error;
}

void KDCJob::setFlag( int id, bool flag )
{
	p_flags.insert( id, flag );
}

bool KDCJob::flag( int id )
{
	return p_flags.value( id );
}
